The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

FreeBSD 7.2 ?

Discussion in 'General Discussion' started by basic, Oct 9, 2009.

  1. basic

    basic Active Member

    Joined:
    Nov 10, 2004
    Messages:
    41
    Likes Received:
    0
    Trophy Points:
    6
    Hello All:

    So far we only installed cPanel on CentOS servers.

    Is FreeBSD 7.2 supported? The official cPanel website at
    System Requirements - cPanel Inc.
    only lists (specifically) "7.0" -- while mentioning "5.x" for CentOS.

    Have they just not updated that page, or is 7.2 really not (yet) supported?
    Thanks.



    John
     
  2. nyjimbo

    nyjimbo Well-Known Member

    Joined:
    Jan 25, 2003
    Messages:
    1,125
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    New York
    It worries me that they have not yet formally supported 7.1 or 7.2 but now with 8.0 almost in RC1 I fear we will always be behind until one day they just stop supporting freebsd.
     
  3. basic

    basic Active Member

    Joined:
    Nov 10, 2004
    Messages:
    41
    Likes Received:
    0
    Trophy Points:
    6
    RC1 os version 8 is actually out (Sept. 14):
    FreeBSD 8.0 Release Process

    All we need to know for now is if we can/should use FreeBSD 7.2 for installing cPanel, or if there are any problems? (Again, so far we only used CentOS -- have no experience with FreeBSD yet, but some customers prefer it, for whatever the reasons).

    Anyone here seeing this runs cPanel with a FreeBSD 7.2 OS?

    Thanks.

    John
     
  4. radeonpower

    radeonpower Well-Known Member

    Joined:
    Jul 23, 2009
    Messages:
    129
    Likes Received:
    1
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    The problem is even if cPanel works on FreeBSD 7.2 (which it probably does) is that you wont get any support from cPanel if you are running an unsupported OS. :)
     
  5. ewindisch

    ewindisch Member

    Joined:
    Sep 9, 2001
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    1
    I'm quite concerned about this as well. They've already dropped what little Debian support was available, and with lagging FreeBSD support I wonder when it will disappear altogether? I have absolutely no interest in running CentOS or RHEL, but Debian or BSD based systems are certainly welcome here. I'd hate to deploy systems that will be quickly unsupported.

    Another sore spot for me is the fact that VPS-pricing is not available for FreeBSD. This, despite the fact that FreeBSD now runs quite well as a Xen DomU (guest).

    Some word from the CPanel team if we'll see FreeBSD 8 support would go a long way...

    Regards,
    Eric Windisch
     
  6. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    There are significant issues with installing FreeBSD 7.2 on 64-bit, such that cPanel/WHM may not be successfully installed. As a result, we do not support FreeBSD 7.2.

    There is significant customer demand for FreeBSD. As a result, we will be pursuing FreeBSD 8 support.
     
  7. hostultra

    hostultra Well-Known Member

    Joined:
    Aug 21, 2002
    Messages:
    167
    Likes Received:
    0
    Trophy Points:
    16
    I am running cpanel on freebsd 7.2 on both 32 and 64 bit versions without problems.

    My servers were upgraded from 7.0 to 7.1 and then later to 7.2, so I cannot speak for installation problems, but it runs fine after upgrade.
     
  8. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,458
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    As David posted, the problems are with fresh installs. cPanel works fine ( with the normal disclaimer ) on systems that were updated from, say, FreeBSD 7.0 to 7.2.

    cPanel should install OK on 7.2 32 bit.
     
  9. HorburySchool

    HorburySchool Active Member

    Joined:
    Dec 14, 2007
    Messages:
    30
    Likes Received:
    0
    Trophy Points:
    6
    Are you sure?? I run a 6.x box that I'd updated to 7.0, then 7.1, then 7.2.

    Support told me (after I'd raised a ticket) that 7.2 isn't supported and thus they couldn't/wouldn't help me. Had to do a rollback to 7.1 as there were alsorts of problems running on 7.2 (http://forums.cpanel.net/f5/story-dunce-aka-exim-pure-ftpd-issues-119509.html)

    So, from my experience, a box upgraded to 7.1 works fine, but one upgraded to 7.2 - nope (and I tried 4 different servers both with upgrade installs, and clean installs). Have tried since and got all the same issues. Rather irritating as 7.1 has been EOL with no further updates being received for a while now.
     

Share This Page